forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tim Williams" <william...@gmail.com>
Subject Re: Building Forrest 2
Date Tue, 21 Nov 2006 14:55:10 GMT
On 11/21/06, Tim Williams <williamstw@gmail.com> wrote:
> On 11/19/06, Ross Gardler <rgardler@apache.org> wrote:
> > Ross Gardler wrote:
> > > Gav.... wrote:
> > >> Hi Ross, some feedback,
> > >
> > > Thanks...
> > >
> > >>> 3. Added a local Ivy repository. Note that the intention would be to
> > >>> have no entries in this repo, we should be retrieving dependencies
from
> > >>> a public repo. This space is only to develop ivy repo entries and test
> > >>> them before we commit them to a public ivy repository (I've just joined
> > >>> the Ivy dev list to discuss where this should end up going - will report
> > >>> back as and when)
> > >>
> > >> I noticed from the svn logs that you removed some dependencies stating
> > >> that
> > >> They are already in a public repo, I am guessing that could be the
> > >> cause of
> > >> Some of my build problems. :-
> > >
> > > <snipped what="log"/>
> > >
> > >> Ideas ?
> > >
> > > I just deleted my local IVY cache and discovered that, in fact, many
> > > more of the dependencies are not available in the public repos. I'll add
> > > them to our temporary repo tonight. When you see a load of commit
> > > messages in the local repo you know it is done.
> >
> > Since SVN commit mails seem nt to be working...
> >
> > I've added the necessary files to the local repo.
> >
> > Incidentally, there are some tests in the module (see src/test), I use
> > eclipse and run them from there, but it would be really helpful if
> > someone could add a target to the ant script to run them.
> >
> > Ross
>
> Hi Ross,
> Still seems something is wrong - either in dependencies or my
> environment; not sure which.  Below is my output.
>
> --tim

It seems that the downloading of the dependencies was commented out in
the ivyconf.xml file.  I uncommented the two ivyrep elements and teh
ibiblio element and got a little further.

My next problem was a java version issue.  The code needs Java 1.5 - I
suspect because of generics/templates/whatever-java-calls-it.

I'm not sure if there are other implications for what I've done to
ivyconf.xml but maybe this will help other folks get further along.  I
reckon if we really want these commented out, we should add the
necessary dependencies to the local repo?  I'm learning Ivy on the fly
from what you've got here so I don't really know what I'm talking
about;)

Thanks,
--tim

Mime
View raw message